Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.engine.builder
Class ControllerFlowRegistry

    java.lang.Object
      org.codehaus.groovy.grails.webflow.engine.builder.ControllerFlowRegistry

All Implemented Interfaces:
  groovy.lang.GroovyObject, GrailsApplicationAware, FactoryBean, InitializingBean, ApplicationContextAware

    public class ControllerFlowRegistry

extends Object
implements GrailsApplicationAware, ApplicationContextAware, FactoryBean, InitializingBean, groovy.lang.GroovyObject

Constructor Summary
`ControllerFlowRegistry()`

Method Summary
`protected groovy.lang.MetaClass` | `$getStaticMetaClass()`
`void` | `afterPropertiesSet()`
`protected void` | `doPopulate(org.springframework.webflow.definition.registry.FlowDefinitionRegistry registry)`
`ApplicationContext` | `getApplicationContext()`
`org.springframework.webflow.engine.builder.support.FlowBuilderServices` | `getFlowBuilderServices()`
`org.springframework.webflow.definition.registry.FlowDefinitionRegistry` | `getFlowRegistry()`
`GrailsApplication` | `getGrailsApplication()`
`groovy.lang.MetaClass` | `getMetaClass()`
`Object` | `getObject()`
`Class` | `getObjectType()`
`Object` | `getProperty(String property)`
`Object` | `invokeMethod(String method, Object arguments)`
`boolean` | `isSingleton()`
`void` | `setApplicationContext(ApplicationContext value)`
`void` | `setFlowBuilderServices(org.springframework.webflow.engine.builder.support.FlowBuilderServices value)`
`void` | `setFlowRegistry(org.springframework.webflow.definition.registry.FlowDefinitionRegistry value)`
`void` | `setGrailsApplication(GrailsApplication value)` This method is called by the `ApplicationContext` that loads the Grails application.
`void` | `setMetaClass(groovy.lang.MetaClass mc)`
`void` | `setProperty(String property, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControllerFlowRegistry

    public ControllerFlowRegistry()

Method Detail

### getApplicationContext

    public ApplicationContext getApplicationContext()

### setApplicationContext

    public void setApplicationContext(ApplicationContext value)

  Specified by:
    `setApplicationContext` in interface `ApplicationContextAware`

### getGrailsApplication

    public GrailsApplication getGrailsApplication()

### setGrailsApplication

    public void setGrailsApplication(GrailsApplication value)

  Description copied from interface: `GrailsApplicationAware`

  This method is called by the `ApplicationContext` that loads the Grails application. The `GrailsApplication` instance that represents the loaded Grails application is injected.

  Specified by:
    `setGrailsApplication` in interface `GrailsApplicationAware`
  Parameters:
    `value` - the `GrailsApplication` object that represents this Grails application

### getFlowRegistry

    public org.springframework.webflow.definition.registry.FlowDefinitionRegistry getFlowRegistry()

### setFlowRegistry

    public void setFlowRegistry(org.springframework.webflow.definition.registry.FlowDefinitionRegistry value)

### getFlowBuilderServices

    public org.springframework.webflow.engine.builder.support.FlowBuilderServices getFlowBuilderServices()

### setFlowBuilderServices

    public void setFlowBuilderServices(org.springframework.webflow.engine.builder.support.FlowBuilderServices value)

### doPopulate

    protected void doPopulate(org.springframework.webflow.definition.registry.FlowDefinitionRegistry registry)

### getObject

    public Object getObject()

  Specified by:
    `getObject` in interface `FactoryBean`

### getObjectType

    public Class getObjectType()

  Specified by:
    `getObjectType` in interface `FactoryBean`

### isSingleton

    public boolean isSingleton()

  Specified by:
    `isSingleton` in interface `FactoryBean`

### afterPropertiesSet

    public void afterPropertiesSet()

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project